create view tcim_uis_sp2sp61 (Type, SPGroup, Login, SID)
as
select 'User', grp.SPUserGroupName, upper(usr.Domain+'\'+usr.Login), usr.SID
from Users usr, SPUserGroup grp, SPUserGroupMember mem
where
mem.SPUserGroupPrincipalID=grp.PrincipalID and mem.PrincipalID=usr.PrincipalID
union 
select 'Group', grp.SPUserGroupName, nt.NTGroupName, nt.SID
from Users usr, SPUserGroup grp, SPUserGroupMember mem, NTGroup nt
where 
mem.SPUserGroupPrincipalID=grp.PrincipalID and mem.PrincipalID=nt.PrincipalID